/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    return getHeaders(body, manualHeaders);
}
export async function errorMessageBuilder(response, reason) {
    var _a, _b, _c, _d;
    try {
        const errors = await response.json();
        const errorMessages = [...(_b = (_a = errors) === null || _a === void 0 ? void 0 : _a.errorMessages, (_b !== null && _b !== void 0 ? _b : [])), ...Object.values((_d = (_c = errors) === null || _c === void 0 ? void 0 : _c.errors, (_d !== null && _d !== void 0 ? _d : {})))];
        if (errorMessages.length > 0) {
            return `${reason} - ${errorMessages.join(', ')}`;
        }
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map