/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface AvatarAsResponse {
    workspaceId: string;
    globalId: string;
    id?: string;
    avatarUUID?: string;
    url16: string;
    url48: string;
    url72: string;
    url144: string;
    url288: string;
    /**
     * A reference to the object that this avatar is associated with
     */
    objectId: string;
    mediaClientConfig?: {
        clientId?: string;
        issuer?: string;
        mediaBaseUrl?: string;
        mediaJwtToken?: string;
        fileId?: string;
        tokenLifespanInMinutes?: number;
    };
}
//# sourceMappingURL=AvatarAsResponse.d.ts.map