/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
import { GroupAsResponse } from "../definitions/GroupAsResponse";
import { StatusAsResponse } from "../definitions/StatusAsResponse";
export interface ObjectAttributeValueAsResponse {
    value?: string | string;
    /**
     * The value as displayable text e.g. for a date time attribute this value will be formatted to the user settings
     */
    displayValue: string;
    /**
     * A value to use when searching for the specific object
     */
    searchValue?: string;
    /**
     * The same response body as an Assets object
     */
    referencedObject?: any;
    user?: UserAsResponse;
    group?: GroupAsResponse;
    status?: StatusAsResponse;
    additionalValue?: string;
}
//# sourceMappingURL=ObjectAttributeValueAsResponse.d.ts.map