/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectTypeAttributeAsResponse } from "../definitions/ObjectTypeAttributeAsResponse";
import { ObjectAttributeValueAsResponse } from "../definitions/ObjectAttributeValueAsResponse";
export interface ObjectAttributeAsResponse {
    workspaceId?: string;
    globalId?: string;
    id?: string;
    objectTypeAttribute?: ObjectTypeAttributeAsResponse;
    objectTypeAttributeId?: string;
    /**
     * The actual values of the object attribute. The size of the values array is determined by the cardinality constraints on the object type attribute as well as how many values are associated with the object attribute
     */
    objectAttributeValues?: Array<ObjectAttributeValueAsResponse>;
    objectId?: string;
}
//# sourceMappingURL=ObjectAttributeAsResponse.d.ts.map