/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
export interface ObjectHistoryAsResponse {
    /**
     * Who performed the operation
     */
    actor: UserAsResponse;
    id: string;
    /**
     * The name of the affected attribute
     */
    affectedAttribute?: string;
    oldValue?: string;
    newValue?: string;
    type: number;
    created: string;
    objectId: string;
}
//# sourceMappingURL=ObjectHistoryAsResponse.d.ts.map