/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectAttributeIn } from "../definitions/ObjectAttributeIn";
export interface ObjectIn {
    /**
     * The object type determines where the object should be stored and which attributes are available
     */
    objectTypeId: string;
    attributes: Array<ObjectAttributeIn>;
    hasAvatar?: boolean;
    /**
     * The UUID as retrieved by uploading an avatar.
     */
    avatarUUID?: string;
}
//# sourceMappingURL=ObjectIn.d.ts.map