/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ObjectTypeIn {
    name: string;
    description?: string;
    iconId: string;
    objectSchemaId: string;
    /**
     * The id of the parent object type
     */
    parentObjectTypeId?: string;
    /**
     * Describes if this object type is configured for inheritance i.e. it's children inherits the attributes of this object type
     */
    inherited?: boolean;
    abstractObjectType?: boolean;
}
//# sourceMappingURL=ObjectTypeIn.d.ts.map