/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ProgressAsResponse {
    progressInPercent?: number;
    resourceId?: string;
    category?: string;
    status?: string;
    stepDescription?: string;
    currentStep?: number;
    numberOfSteps?: number;
    currentWorkUnits?: number;
    currentWorkDescription?: string;
    currentStepTotalWorkUnits?: number;
    totalWorkUnits?: number;
    result?: string;
    /**
     * The result data is different depending on the type of process the category specifies
     */
    resultData?: any;
    resultMessage?: string;
    /**
     * The user key of the user that is running the process
     */
    actor?: string;
    startDate?: string;
    finishedDate?: string;
    /**
     * If it is possible to estimate the comletion of the task this field will be populated
     */
    estimatedFinishDate?: string;
    /**
     * Unique identifier of the execution
     */
    executionUUID?: string;
}
//# sourceMappingURL=ProgressAsResponse.d.ts.map