/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GlobalConfigurationIn } from "../definitions/GlobalConfigurationIn";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface UpdateGlobalObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    /**
     * Object schema id
     */
    id: string;
    body: GlobalConfigurationIn;
}
export declare type UpdateGlobalObjectSchemaResponseOK = undefined;
export declare type UpdateGlobalObjectSchemaResponseError = undefined;
//# sourceMappingURL=global.d.ts.map